[OpenSCAD] compiling openscad from source

Jamie Bainbridge jamie.bainbridge at gmail.com
Sun Oct 7 21:16:57 EDT 2018


On Mon, 8 Oct 2018 at 11:06, seandepagnier <seandepagnier at gmail.com> wrote:
>
> I need to compile openscad, because the version I have from apt is 2014.  I
> also cannot find any binaries for my platform (armv7) and I will be moving
> to aarch64 soon which is even less likely.

There is talk of compiling for armv7 (raspbian on Raspberry Pi) here:
https://www.raspberrypi.org/forums/viewtopic.php?t=191566

Note one person found it easier to just use www.openscad.net in
Chromium. If you're not staying on armv7 so long, that might be an
easier solution for you too.

For aarch64, Debian stable and unstable have arm64 packages of latest
OpenSCAD stable (2015). If you're using Debian then the work is done
for you.

Jamie



More information about the Discuss mailing list